Index: servers/slapd/overlays/syncprov.c
===================================================================
RCS file: /repo/OpenLDAP/pkg/ldap/servers/slapd/overlays/syncprov.c,v
retrieving revision 1.56.2.51
diff -u -p -r1.56.2.51 syncprov.c
--- servers/slapd/overlays/syncprov.c	9 Jul 2008 20:53:13 -0000	1.56.2.51
+++ servers/slapd/overlays/syncprov.c	3 Jun 2009 06:52:42 -0000
@@ -908,6 +908,10 @@ syncprov_qtask( void *ctx, void *arg )
 	} else {
 		/* bail out on any error */
 		ldap_pvt_runqueue_remove( &slapd_rq, rtask );
+
+		/* Prevent duplicate remove */
+		if ( so->s_qtask == rtask )
+			so->s_qtask = NULL;
 	}
 	ldap_pvt_thread_mutex_unlock( &slapd_rq.rq_mutex );
 
